<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LSpeeddial StructType
 * @subpackage Structs
 */
class LSpeeddial extends AbstractStructBase
{
    /**
     * The dirn
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $dirn;
    /**
     * The label
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $label;
    /**
     * The index
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $index;
    /**
     * Constructor method for LSpeeddial
     * @uses LSpeeddial::setDirn()
     * @uses LSpeeddial::setLabel()
     * @uses LSpeeddial::setIndex()
     * @param string $dirn
     * @param string $label
     * @param string $index
     */
    public function __construct($dirn = null, $label = null, $index = null)
    {
        $this
            ->setDirn($dirn)
            ->setLabel($label)
            ->setIndex($index);
    }
    /**
     * Get dirn value
     * @return string|null
     */
    public function getDirn()
    {
        return $this->dirn;
    }
    /**
     * Set dirn value
     * @param string $dirn
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LSpeeddial
     */
    public function setDirn($dirn = null)
    {
        $this->dirn = $dirn;
        return $this;
    }
    /**
     * Get label value
     * @return string|null
     */
    public function getLabel()
    {
        return $this->label;
    }
    /**
     * Set label value
     * @param string $label
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LSpeeddial
     */
    public function setLabel($label = null)
    {
        $this->label = $label;
        return $this;
    }
    /**
     * Get index value
     * @return string|null
     */
    public function getIndex()
    {
        return $this->index;
    }
    /**
     * Set index value
     * @param string $index
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LSpeeddial
     */
    public function setIndex($index = null)
    {
        $this->index = $index;
        return $this;
    }
}
